Summary: 	Manager for the Matchbox Desktop panel
Name: 		matchbox-panel-manager
Version: 	0.1
Release: 	%mkrel 11
Url: 		http://matchbox-project.org
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://matchbox-project.org/sources/%version/%{name}-%{version}.tar.bz2
Patch0:		matchbox-panel-manager-0.1-linking.patch
Patch1:		matchbox-panel-manager-0.1-automake-1.13.patch
BuildRequires:	libmatchbox-devel 
BuildRequires:	gtk2-devel
Requires:	matchbox-panel

%description
A GTK2 based manager for the Matchbox Dektop panel

%prep
%setup -q
%autopatch -p1

#fix desktop file
sed -i -e 's,\(Icon=.*\)\.png,\1,g' mb-panel-manager.desktop

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install \
	--vendor="" \
	--set-key="StartupNotify" \
	--set-value="true" \
	--remove-key="SingleInstance" \
	--remove-category="MB" \
	--remove-category="SystemSettings" \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop


%files
%doc README 
%_bindir/%name
%_datadir/applications/*
%_datadir/pixmaps/*


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.1-11.mga6
+ Revision: 930942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-10.mga5
+ Revision: 742337
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-9.mga5
+ Revision: 682180
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-8.mga4
+ Revision: 521262
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 0.1-7.mga3
+ Revision: 389775
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.1-6.mga3
+ Revision: 335900
- fix desktop file
- add patch to fix linking
- clean .spec a bit

* Sun Apr 10 2011 dmorgan <dmorgan> 0.1-5.mga1
+ Revision: 82937
- imported package matchbox-panel-manager


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-5mdv2010.0
+ Revision: 429963
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-4mdv2009.0
+ Revision: 252015
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 0.1-2mdv2008.1
+ Revision: 106249
- Rebuild
- import matchbox-panel-manager


* Tue Jul 27 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- initial package
